﻿<?xml version="1.0" encoding="UTF-8"?>
<mm:monitor
	xmlns:mm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm"
	xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:xsd="http://www.w3.org/2001/XMLSchema-datatypes"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:cbe="http://www.ibm.com/AC/commonbaseevent1_0_1"
	xsi:schemaLocation="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm monitor.xsd"
	displayName="Global HT MM" id="GlobalHTMM" timestamp="2010-02-17T12:00:00"
	xmlns:wbi="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1"
	xmlns:bpc="http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0"
	xmlns:htm="http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0">
	<description>Global Human Task Monitor Model</description>
	<monitorDetailsModel displayName="NewHTMM" id="MDM">
		<monitoringContext displayName="Global HumanTask"
			id="GlobalHumanTask" eventSequenceIDPath="*/predefinedData/creationTime">
			<description>Global Human Task Monitor Model Context
			</description>
			<trigger displayName="Parent Task Instance ID Trigger" id="Parent_Task_Instance_ID_Trigger"
				isRepeatable="true">
				<onValueChange ref="Parent_ID" />
				<gatingCondition expression="fn:starts-with(Parent_ID, '_TKI:')" />
			</trigger>
			<trigger displayName="InlineTask_Schema Completion Trigger"
				id="InlineTask_Schema_Completion_Trigger" terminateContext="true">
				<onEvent ref="InlineTask_Schema_EXIT"></onEvent>
				<onEvent ref="InlineTask_Schema_FAILED"></onEvent>
				<onEvent ref="InlineTask_Schema_EXPIRED"></onEvent>
				<onEvent ref="InlineTask_Schema_FCOMPLETED"></onEvent>
				<onEvent ref="InlineTask_Schema_TERMINATED"></onEvent>
			</trigger>
			<trigger displayName="InlineTask_Schema Creation Trigger" id="InlineTask_Schema_Creation_Trigger">
				<onEvent ref="InlineTask_Schema_CREATED"></onEvent>
			</trigger>
			<trigger displayName="InlineTask_Schema Forced Completion Trigger"
				id="InlineTask_Schema_Forced_Completion_Trigger" terminateContext="false">
				<onEvent ref="InlineTask_Schema_FCOMPLETED"></onEvent>
			</trigger>
			<trigger displayName="InlineTask_Schema Assign Trigger" id="InlineTask_Schema_Assign_Trigger"
				isRepeatable="true">
				<onEvent ref="InlineTask_Schema_ASSIGNED"></onEvent>
			</trigger>
			<trigger displayName="InlineTask_Schema Transfer Trigger" id="InlineTask_Schema_Transfer_Trigger"
				isRepeatable="true">
				<onEvent ref="InlineTask_Schema_WI_TRANSFERRED"></onEvent>
			</trigger>
			<trigger displayName="InlineTask_Schema Deassigned Trigger"
				id="InlineTask_Schema_Deassigned_Trigger" isRepeatable="true">
				<onEvent ref="InlineTask_Schema_DEASSIGNED"></onEvent>
			</trigger>
			<trigger displayName="InlineTask_Schema Exit Trigger" id="InlineTask_Schema_Exit_Trigger">
				<onEvent ref="InlineTask_Schema_EXIT"></onEvent>
			</trigger>
			<trigger displayName="InlineTask_Schema Expired Trigger" id="InlineTask_Schema_Expired_Trigger">
				<onEvent ref="InlineTask_Schema_EXPIRED"></onEvent>
			</trigger>
			<trigger displayName="InlineTask_Schema Failed Trigger" id="InlineTask_Schema_Failed_Trigger">
				<onEvent ref="InlineTask_Schema_FAILED"></onEvent>
			</trigger>
			<trigger displayName="InlineTask_Schema Stopped Trigger" id="InlineTask_Schema_Stopped_Trigger"
				isRepeatable="true">
				<onEvent ref="InlineTask_Schema_STOPPED"></onEvent>
			</trigger>
			<trigger displayName="InlineTask_Schema Terminated Trigger"
				id="InlineTask_Schema_Terminated_Trigger">
				<onEvent ref="InlineTask_Schema_TERMINATED"></onEvent>
			</trigger>
			<trigger displayName="InlineTask_Schema Escalated Trigger"
				id="InlineTask_Schema_Escalated_Trigger" isRepeatable="true">
				<onEvent ref="InlineTask_Schema_ESCALATED"></onEvent>
			</trigger>
			<trigger displayName="HumanTask_Schema Exit Trigger" id="HumanTask_Schema_Exit_Trigger">
				<onEvent ref="HumanTask_Schema_EXIT"></onEvent>
			</trigger>
			<trigger displayName="HumanTask_Schema Creation Trigger" id="HumanTask_Schema_Creation_Trigger">
				<onEvent ref="HumanTask_Schema_CREATED"></onEvent>
			</trigger>
			<trigger displayName="HumanTask_Schema Assign Trigger" id="HumanTask_Schema_Assign_Trigger"
				isRepeatable="true">
				<onEvent ref="HumanTask_Schema_ASSIGNED"></onEvent>
			</trigger>
			<trigger displayName="HumanTask_Schema Deassign Trigger" id="HumanTask_Schema_Deassign_Trigger"
				isRepeatable="true">
				<onEvent ref="HumanTask_Schema_DEASSIGNED"></onEvent>
			</trigger>
			<trigger displayName="HumanTask_Schema Transfer Trigger" id="HumanTask_Schema_Transfer_Trigger"
				isRepeatable="true">
				<onEvent ref="HumanTask_Schema_WI_TRANSFERRED"></onEvent>
			</trigger>
			<trigger displayName="HumanTask_Schema Forwarded Trigger" id="HumanTask_Schema_Forwarded_Trigger">
				<onEvent ref="HumanTask_Schema_COMPLETEDFOLLOW"></onEvent>
			</trigger>
			<trigger displayName="HumanTask_Schema Expired Trigger" id="HumanTask_Schema_Expired_Trigger">
				<onEvent ref="HumanTask_Schema_EXPIRED"></onEvent>
			</trigger>
			<trigger displayName="HumanTask_Schema Failed Trigger" id="HumanTask_Schema_Failed_Trigger">
				<onEvent ref="HumanTask_Schema_FAILED"></onEvent>
			</trigger>
			<trigger displayName="HumanTask_Schema Entry Trigger" id="HumanTask_Schema_Entry_Trigger"
				isRepeatable="true">
				<onEvent ref="HumanTask_Schema_ENTRY"></onEvent>
			</trigger>
			<trigger displayName="HumanTask_Schema Terminated Trigger"
				id="HumanTask_Schema_Terminated_Trigger">
				<onEvent ref="HumanTask_Schema_TERMINATED"></onEvent>
			</trigger>
			<trigger displayName="HumanTask_Schema Suspended Trigger" id="HumanTask_Schema_Suspended_Trigger"
				isRepeatable="true">
				<onEvent ref="HumanTask_Schema_SUSPENDED"></onEvent>
			</trigger>
			<trigger displayName="HumanTask_Schema Resume Trigger" id="HumanTask_Schema_Resume_Trigger"
				isRepeatable="true">
				<onEvent ref="HumanTask_Schema_RESUMED"></onEvent>
			</trigger>
			<trigger displayName="HumanTask_Schema Completion Trigger"
				id="HumanTask_Schema_Completion_Trigger" terminateContext="true">
				<onEvent ref="HumanTask_Schema_COMPLETEDFOLLOW"></onEvent>
				<onEvent ref="HumanTask_Schema_EXIT"></onEvent>
				<onEvent ref="HumanTask_Schema_EXPIRED"></onEvent>
				<onEvent ref="HumanTask_Schema_FAILED"></onEvent>
				<onEvent ref="HumanTask_Schema_TERMINATED"></onEvent>
				<onEvent ref="HumanTask_Schema_DELETED"></onEvent>
			</trigger>
			<trigger displayName="HumanTask_Schema Escalation Fire Trigger"
				id="HumanTask_Schema_Escalation_Fire_Trigger" isRepeatable="true">
				<onEvent ref="HumanTask_Schema_Escalation_ENTRY"></onEvent>
			</trigger>
			<trigger displayName="HumanTask_Schema Waiting For Subtask Trigger"
				id="HumanTask_Schema_Waiting_For_Subtask_Trigger" isRepeatable="true">
				<onEvent ref="HumanTask_Schema_WAITFORSUBTASK"></onEvent>
			</trigger>
			<trigger displayName="HumanTask_Schema Subtask Completed Trigger"
				id="HumanTask_Schema_Subtask_Completed_Trigger" isRepeatable="true">
				<onEvent ref="HumanTask_Schema_SUBTASKSCOMPLETED"></onEvent>
			</trigger>
			<trigger displayName="Status Change Trigger" id="Status_Change_Trigger"
				isRepeatable="true">
				<onValueChange ref="Task_Status"></onValueChange>
			</trigger>
			<trigger displayName="HumanTask_Schema Restarted Trigger" id="HumanTask_Schema_Restarted_Trigger"
				isRepeatable="true">
				<onEvent ref="HumanTask_Schema_RESTARTED"></onEvent>
			</trigger>
			<trigger displayName="InlineTask_Schema Forced Retried Trigger"
				id="InlineTask_Schema_Forced_Retried_Trigger" isRepeatable="true">
				<onEvent ref="InlineTask_Schema_FRETRIED"></onEvent>
			</trigger>
			<inboundEvent displayName="InlineTask_Schema SKIPPED"
				id="InlineTask_Schema_SKIPPED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="BPELData" id="BPELData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"></eventPart>
				<correlationPredicate
					expression="InlineTask_Schema_SKIPPED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="InlineTask_Schema_SKIPPED/BPELData/wbi:eventNature = 'SKIPPED' and InlineTask_Schema_SKIPPED/BPELData/bpc:activityKind = '43 - KIND_STAFF' and InlineTask_Schema_SKIPPED/BPELData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0}BPC.BFM.ACTIVITY.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="InlineTask_Schema FAILED" id="InlineTask_Schema_FAILED"
				multipleCorrelationMatches="raiseException" noCorrelationMatches="retry"
				oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="BPELData" id="BPELData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.FAILURE"></eventPart>
				<correlationPredicate
					expression="InlineTask_Schema_FAILED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="InlineTask_Schema_FAILED/BPELData/wbi:eventNature = 'FAILED' and InlineTask_Schema_FAILED/BPELData/bpc:activityKind = '43 - KIND_STAFF' and InlineTask_Schema_FAILED/BPELData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0}BPC.BFM.ACTIVITY.FAILURE'"></filter>
			</inboundEvent>
			<inboundEvent displayName="InlineTask_Schema TERMINATED"
				id="InlineTask_Schema_TERMINATED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="BPELData" id="BPELData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"></eventPart>
				<correlationPredicate
					expression="InlineTask_Schema_TERMINATED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="InlineTask_Schema_TERMINATED/BPELData/wbi:eventNature = 'TERMINATED' and InlineTask_Schema_TERMINATED/BPELData/bpc:activityKind = '43 - KIND_STAFF' and InlineTask_Schema_TERMINATED/BPELData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0}BPC.BFM.ACTIVITY.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="InlineTask_Schema CREATED"
				id="InlineTask_Schema_CREATED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="createNewContext" oneCorrelationMatch="raiseException"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="BPELData" id="BPELData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"></eventPart>
				<correlationPredicate
					expression="InlineTask_Schema_CREATED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="InlineTask_Schema_CREATED/BPELData/wbi:eventNature = 'CREATED' and InlineTask_Schema_CREATED/BPELData/bpc:activityKind = '43 - KIND_STAFF' and InlineTask_Schema_CREATED/BPELData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0}BPC.BFM.ACTIVITY.MESSAGE'"></filter>
			</inboundEvent>
			<inboundEvent displayName="InlineTask_Schema WI_REFRESHED"
				id="InlineTask_Schema_WI_REFRESHED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="BPELData" id="BPELData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.WISTATUS"></eventPart>
				<correlationPredicate
					expression="InlineTask_Schema_WI_REFRESHED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="InlineTask_Schema_WI_REFRESHED/BPELData/wbi:eventNature = 'WI_REFRESHED' and InlineTask_Schema_WI_REFRESHED/BPELData/bpc:activityKind = '43 - KIND_STAFF' and InlineTask_Schema_WI_REFRESHED/BPELData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0}BPC.BFM.ACTIVITY.WISTATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="InlineTask_Schema FRETRIED"
				id="InlineTask_Schema_FRETRIED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="BPELData" id="BPELData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"></eventPart>
				<correlationPredicate
					expression="InlineTask_Schema_FRETRIED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="InlineTask_Schema_FRETRIED/BPELData/wbi:eventNature = 'FRETRIED' and InlineTask_Schema_FRETRIED/BPELData/bpc:activityKind = '43 - KIND_STAFF' and InlineTask_Schema_FRETRIED/BPELData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0}BPC.BFM.ACTIVITY.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="InlineTask_Schema OUTPUTSET"
				id="InlineTask_Schema_OUTPUTSET" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="BPELData" id="BPELData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"></eventPart>
				<correlationPredicate
					expression="InlineTask_Schema_OUTPUTSET/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="InlineTask_Schema_OUTPUTSET/BPELData/wbi:eventNature = 'OUTPUTSET' and InlineTask_Schema_OUTPUTSET/BPELData/bpc:activityKind = '43 - KIND_STAFF' and InlineTask_Schema_OUTPUTSET/BPELData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0}BPC.BFM.ACTIVITY.MESSAGE'"></filter>
			</inboundEvent>
			<inboundEvent displayName="InlineTask_Schema DEASSIGNED"
				id="InlineTask_Schema_DEASSIGNED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="BPELData" id="BPELData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"></eventPart>
				<correlationPredicate
					expression="InlineTask_Schema_DEASSIGNED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="InlineTask_Schema_DEASSIGNED/BPELData/wbi:eventNature = 'DEASSIGNED' and InlineTask_Schema_DEASSIGNED/BPELData/bpc:activityKind = '43 - KIND_STAFF' and InlineTask_Schema_DEASSIGNED/BPELData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0}BPC.BFM.ACTIVITY.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="InlineTask_Schema WI_CREATED"
				id="InlineTask_Schema_WI_CREATED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="BPELData" id="BPELData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.WISTATUS"></eventPart>
				<correlationPredicate
					expression="InlineTask_Schema_WI_CREATED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="InlineTask_Schema_WI_CREATED/BPELData/wbi:eventNature = 'WI_CREATED' and InlineTask_Schema_WI_CREATED/BPELData/bpc:activityKind = '43 - KIND_STAFF' and InlineTask_Schema_WI_CREATED/BPELData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0}BPC.BFM.ACTIVITY.WISTATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="InlineTask_Schema EXIT" id="InlineTask_Schema_EXIT"
				multipleCorrelationMatches="raiseException" noCorrelationMatches="retry"
				oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="BPELData" id="BPELData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"></eventPart>
				<correlationPredicate
					expression="InlineTask_Schema_EXIT/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="InlineTask_Schema_EXIT/BPELData/wbi:eventNature = 'EXIT' and InlineTask_Schema_EXIT/BPELData/bpc:activityKind = '43 - KIND_STAFF' and InlineTask_Schema_EXIT/BPELData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0}BPC.BFM.ACTIVITY.MESSAGE'"></filter>
			</inboundEvent>
			<inboundEvent displayName="InlineTask_Schema ESCALATED"
				id="InlineTask_Schema_ESCALATED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="BPELData" id="BPELData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.ESCALATED"></eventPart>
				<correlationPredicate
					expression="InlineTask_Schema_ESCALATED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="InlineTask_Schema_ESCALATED/BPELData/wbi:eventNature = 'ESCALATED' and InlineTask_Schema_ESCALATED/BPELData/bpc:activityKind = '43 - KIND_STAFF' and InlineTask_Schema_ESCALATED/BPELData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0}BPC.BFM.ACTIVITY.ESCALATED'"></filter>
			</inboundEvent>
			<inboundEvent displayName="InlineTask_Schema WI_DELETED"
				id="InlineTask_Schema_WI_DELETED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="BPELData" id="BPELData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.WISTATUS"></eventPart>
				<correlationPredicate
					expression="InlineTask_Schema_WI_DELETED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="InlineTask_Schema_WI_DELETED/BPELData/wbi:eventNature = 'WI_DELETED' and InlineTask_Schema_WI_DELETED/BPELData/bpc:activityKind = '43 - KIND_STAFF' and InlineTask_Schema_WI_DELETED/BPELData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0}BPC.BFM.ACTIVITY.WISTATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="InlineTask_Schema FAULTSET"
				id="InlineTask_Schema_FAULTSET" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="BPELData" id="BPELData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.MESSAGE"></eventPart>
				<correlationPredicate
					expression="InlineTask_Schema_FAULTSET/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="InlineTask_Schema_FAULTSET/BPELData/wbi:eventNature = 'FAULTSET' and InlineTask_Schema_FAULTSET/BPELData/bpc:activityKind = '43 - KIND_STAFF' and InlineTask_Schema_FAULTSET/BPELData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0}BPC.BFM.ACTIVITY.MESSAGE'"></filter>
			</inboundEvent>
			<inboundEvent displayName="InlineTask_Schema ASSIGNED"
				id="InlineTask_Schema_ASSIGNED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="BPELData" id="BPELData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.CLAIM"></eventPart>
				<correlationPredicate
					expression="InlineTask_Schema_ASSIGNED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="InlineTask_Schema_ASSIGNED/BPELData/wbi:eventNature = 'ASSIGNED' and InlineTask_Schema_ASSIGNED/BPELData/bpc:activityKind = '43 - KIND_STAFF' and InlineTask_Schema_ASSIGNED/BPELData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0}BPC.BFM.ACTIVITY.CLAIM'"></filter>
			</inboundEvent>
			<inboundEvent displayName="InlineTask_Schema FCOMPLETED"
				id="InlineTask_Schema_FCOMPLETED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="BPELData" id="BPELData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"></eventPart>
				<correlationPredicate
					expression="InlineTask_Schema_FCOMPLETED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="InlineTask_Schema_FCOMPLETED/BPELData/wbi:eventNature = 'FCOMPLETED' and InlineTask_Schema_FCOMPLETED/BPELData/bpc:activityKind = '43 - KIND_STAFF' and InlineTask_Schema_FCOMPLETED/BPELData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0}BPC.BFM.ACTIVITY.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="InlineTask_Schema STOPPED"
				id="InlineTask_Schema_STOPPED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="BPELData" id="BPELData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"></eventPart>
				<correlationPredicate
					expression="InlineTask_Schema_STOPPED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="InlineTask_Schema_STOPPED/BPELData/wbi:eventNature = 'STOPPED' and InlineTask_Schema_STOPPED/BPELData/bpc:activityKind = '43 - KIND_STAFF' and InlineTask_Schema_STOPPED/BPELData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0}BPC.BFM.ACTIVITY.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="InlineTask_Schema WI_TRANSFERRED"
				id="InlineTask_Schema_WI_TRANSFERRED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="BPELData" id="BPELData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.WITRANSFER"></eventPart>
				<correlationPredicate
					expression="InlineTask_Schema_WI_TRANSFERRED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="InlineTask_Schema_WI_TRANSFERRED/BPELData/wbi:eventNature = 'WI_TRANSFERRED' and InlineTask_Schema_WI_TRANSFERRED/BPELData/bpc:activityKind = '43 - KIND_STAFF' and InlineTask_Schema_WI_TRANSFERRED/BPELData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0}BPC.BFM.ACTIVITY.WITRANSFER'"></filter>
			</inboundEvent>
			<inboundEvent displayName="InlineTask_Schema EXPIRED"
				id="InlineTask_Schema_EXPIRED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="BPELData" id="BPELData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="bpc:BPC.BFM.ACTIVITY.STATUS"></eventPart>
				<correlationPredicate
					expression="InlineTask_Schema_EXPIRED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="InlineTask_Schema_EXPIRED/BPELData/wbi:eventNature = 'EXPIRED' and InlineTask_Schema_EXPIRED/BPELData/bpc:activityKind = '43 - KIND_STAFF' and InlineTask_Schema_EXPIRED/BPELData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/business-process/6.0.0}BPC.BFM.ACTIVITY.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema DEASSIGNED"
				id="HumanTask_Schema_DEASSIGNED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.STATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_DEASSIGNED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_DEASSIGNED/HumanTaskData/wbi:eventNature = 'DEASSIGNED' and HumanTask_Schema_DEASSIGNED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema ENTRY" id="HumanTask_Schema_ENTRY"
				multipleCorrelationMatches="raiseException" noCorrelationMatches="raiseException"
				oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.STATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_ENTRY/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_ENTRY/HumanTaskData/wbi:eventNature = 'ENTRY' and HumanTask_Schema_ENTRY/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema RESUMED" id="HumanTask_Schema_RESUMED"
				multipleCorrelationMatches="raiseException" noCorrelationMatches="retry"
				oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.STATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_RESUMED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_RESUMED/HumanTaskData/wbi:eventNature = 'RESUMED' and HumanTask_Schema_RESUMED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema WAITFORSUBTASK"
				id="HumanTask_Schema_WAITFORSUBTASK" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.STATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_WAITFORSUBTASK/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_WAITFORSUBTASK/HumanTaskData/wbi:eventNature = 'WAITFORSUBTASK' and HumanTask_Schema_WAITFORSUBTASK/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema ASSIGNED"
				id="HumanTask_Schema_ASSIGNED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.INTERACT"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_ASSIGNED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_ASSIGNED/HumanTaskData/wbi:eventNature = 'ASSIGNED' and HumanTask_Schema_ASSIGNED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.INTERACT' "></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema EXIT" id="HumanTask_Schema_EXIT"
				multipleCorrelationMatches="raiseException" noCorrelationMatches="retry"
				oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.STATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_EXIT/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_EXIT/HumanTaskData/wbi:eventNature = 'EXIT' and HumanTask_Schema_EXIT/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema COMPLETEDFOLLOW"
				id="HumanTask_Schema_COMPLETEDFOLLOW" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.FOLLOW"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_COMPLETEDFOLLOW/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_COMPLETEDFOLLOW/HumanTaskData/wbi:eventNature = 'COMPLETEDFOLLOW' and HumanTask_Schema_COMPLETEDFOLLOW/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.FOLLOW'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema CREATED" id="HumanTask_Schema_CREATED"
				multipleCorrelationMatches="raiseException" noCorrelationMatches="createNewContext"
				oneCorrelationMatch="raiseException" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.INTERACT"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_CREATED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_CREATED/HumanTaskData/wbi:eventNature = 'CREATED' and HumanTask_Schema_CREATED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.INTERACT'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema RESTARTED"
				id="HumanTask_Schema_RESTARTED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="raiseException" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.STATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_RESTARTED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_RESTARTED/HumanTaskData/wbi:eventNature = 'RESTARTED' and HumanTask_Schema_RESTARTED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema EXPIRED" id="HumanTask_Schema_EXPIRED"
				multipleCorrelationMatches="raiseException" noCorrelationMatches="retry"
				oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.STATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_EXPIRED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_EXPIRED/HumanTaskData/wbi:eventNature = 'EXPIRED' and HumanTask_Schema_EXPIRED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema FAILED" id="HumanTask_Schema_FAILED"
				multipleCorrelationMatches="raiseException" noCorrelationMatches="retry"
				oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.FAILURE"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_FAILED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_FAILED/HumanTaskData/wbi:eventNature = 'FAILED' and HumanTask_Schema_FAILED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.FAILURE'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema DELETED" id="HumanTask_Schema_DELETED"
				multipleCorrelationMatches="raiseException" noCorrelationMatches="ignore"
				oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.STATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_DELETED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_DELETED/HumanTaskData/wbi:eventNature = 'DELETED' and HumanTask_Schema_DELETED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema SUSPENDED"
				id="HumanTask_Schema_SUSPENDED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.STATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_SUSPENDED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_SUSPENDED/HumanTaskData/wbi:eventNature = 'SUSPENDED' and HumanTask_Schema_SUSPENDED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema SUBTASKSCOMPLETED"
				id="HumanTask_Schema_SUBTASKSCOMPLETED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.STATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_SUBTASKSCOMPLETED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_SUBTASKSCOMPLETED/HumanTaskData/wbi:eventNature = 'SUBTASKSCOMPLETED' and HumanTask_Schema_SUBTASKSCOMPLETED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema TERMINATED"
				id="HumanTask_Schema_TERMINATED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.STATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_TERMINATED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_TERMINATED/HumanTaskData/wbi:eventNature = 'TERMINATED' and HumanTask_Schema_TERMINATED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema OUTPUTSET"
				id="HumanTask_Schema_OUTPUTSET" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.MESSAGE"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_OUTPUTSET/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_OUTPUTSET/HumanTaskData/wbi:eventNature = 'OUTPUTSET' and HumanTask_Schema_OUTPUTSET/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.MESSAGE'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema WI_REFRESHED"
				id="HumanTask_Schema_WI_REFRESHED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.WISTATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_WI_REFRESHED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_WI_REFRESHED/HumanTaskData/wbi:eventNature = 'WI_REFRESHED' and HumanTask_Schema_WI_REFRESHED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.WISTATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema UPDATED" id="HumanTask_Schema_UPDATED"
				multipleCorrelationMatches="raiseException" noCorrelationMatches="retry"
				oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.STATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_UPDATED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_UPDATED/HumanTaskData/wbi:eventNature = 'UPDATED' and HumanTask_Schema_UPDATED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema WI_CREATED"
				id="HumanTask_Schema_WI_CREATED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.WISTATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_WI_CREATED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_WI_CREATED/HumanTaskData/wbi:eventNature = 'WI_CREATED' and HumanTask_Schema_WI_CREATED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.WISTATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema WI_TRANSFERRED"
				id="HumanTask_Schema_WI_TRANSFERRED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.WITRANSFER"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_WI_TRANSFERRED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_WI_TRANSFERRED/HumanTaskData/wbi:eventNature = 'WI_TRANSFERRED' and HumanTask_Schema_WI_TRANSFERRED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.WITRANSFER'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema FAULTSET"
				id="HumanTask_Schema_FAULTSET" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.MESSAGE"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_FAULTSET/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_FAULTSET/HumanTaskData/wbi:eventNature = 'FAULTSET' and HumanTask_Schema_FAULTSET/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.MESSAGE'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema WI_DELETED"
				id="HumanTask_Schema_WI_DELETED" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.WISTATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_WI_DELETED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_WI_DELETED/HumanTaskData/wbi:eventNature = 'WI_DELETED' and HumanTask_Schema_WI_DELETED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.WISTATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema CUSTOM PROPERTY SET"
				id="HumanTask_Schema_CUSTOM_PROPERTY_SET"
				multipleCorrelationMatches="raiseException" noCorrelationMatches="retry"
				oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.TASK.CUSTOMPROPERTYSET"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_CUSTOM_PROPERTY_SET/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_CUSTOM_PROPERTY_SET/HumanTaskData/wbi:eventNature = 'CP_SET' and HumanTask_Schema_CUSTOM_PROPERTY_SET/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.TASK.CUSTOMPROPERTYSET'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema_Escalation WI_DELETED"
				id="HumanTask_Schema_Escalation_WI_DELETED"
				multipleCorrelationMatches="raiseException" noCorrelationMatches="retry"
				oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.ESCALATION.WISTATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_Escalation_WI_DELETED/BaseData/wbi:eventHeaderData/wbi:ECSParentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_Escalation_WI_DELETED/HumanTaskData/wbi:eventNature = 'WI_DELETED' and HumanTask_Schema_Escalation_WI_DELETED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.ESCALATION.WISTATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema_Escalation WI_CREATED"
				id="HumanTask_Schema_Escalation_WI_CREATED"
				multipleCorrelationMatches="raiseException" noCorrelationMatches="retry"
				oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.ESCALATION.WISTATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_Escalation_WI_CREATED/BaseData/wbi:eventHeaderData/wbi:ECSParentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_Escalation_WI_CREATED/HumanTaskData/wbi:eventNature = 'WI_CREATED' and HumanTask_Schema_Escalation_WI_CREATED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.ESCALATION.WISTATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema_Escalation WI_TRANSFERRED"
				id="HumanTask_Schema_Escalation_WI_TRANSFERRED"
				multipleCorrelationMatches="raiseException" noCorrelationMatches="retry"
				oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.ESCALATION.WITRANSFER"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_Escalation_WI_TRANSFERRED/BaseData/wbi:eventHeaderData/wbi:ECSParentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_Escalation_WI_TRANSFERRED/HumanTaskData/wbi:eventNature = 'WI_TRANSFERRED' and HumanTask_Schema_Escalation_WI_TRANSFERRED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.ESCALATION.WITRANSFER'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema_Escalation WI_REFRESHED"
				id="HumanTask_Schema_Escalation_WI_REFRESHED"
				multipleCorrelationMatches="raiseException" noCorrelationMatches="retry"
				oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.ESCALATION.WISTATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_Escalation_WI_REFRESHED/BaseData/wbi:eventHeaderData/wbi:ECSParentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_Escalation_WI_REFRESHED/HumanTaskData/wbi:eventNature = 'WI_REFRESHED' and HumanTask_Schema_Escalation_WI_REFRESHED/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.ESCALATION.WISTATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema_Escalation ENTRY"
				id="HumanTask_Schema_Escalation_ENTRY" multipleCorrelationMatches="raiseException"
				noCorrelationMatches="retry" oneCorrelationMatch="deliverEvent"
				rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.ESCALATION.STATUS"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_Escalation_ENTRY/BaseData/wbi:eventHeaderData/wbi:ECSParentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_Escalation_ENTRY/HumanTaskData/wbi:eventNature = 'ENTRY' and HumanTask_Schema_Escalation_ENTRY/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.ESCALATION.STATUS'"></filter>
			</inboundEvent>
			<inboundEvent displayName="HumanTask_Schema_Escalation CUSTOM PROPERTY SET"
				id="HumanTask_Schema_Escalation_CUSTOM_PROPERTY_SET"
				multipleCorrelationMatches="raiseException" noCorrelationMatches="retry"
				oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
				<eventPart displayName="BaseData" id="BaseData"
					path="cbe:CommonBaseEvent/wbi:event" type="wbi:Event"></eventPart>
				<eventPart displayName="HumanTaskData" id="HumanTaskData"
					path="cbe:CommonBaseEvent/wbi:event/wbi:eventPointData" type="htm:BPC.HTM.ESCALATION.CUSTOMPROPERTYSET"></eventPart>
				<correlationPredicate
					expression="HumanTask_Schema_Escalation_CUSTOM_PROPERTY_SET/BaseData/wbi:eventHeaderData/wbi:ECSParentID = HumanTaskInstanceID"></correlationPredicate>
				<filter
					expression="HumanTask_Schema_Escalation_CUSTOM_PROPERTY_SET/HumanTaskData/wbi:eventNature = 'CP_SET' and HumanTask_Schema_Escalation_CUSTOM_PROPERTY_SET/HumanTaskData/@xsi:type = '{http://www.ibm.com/xmlns/prod/websphere/scdl/human-task/6.0.0}BPC.HTM.ESCALATION.CUSTOMPROPERTYSET'"></filter>
			</inboundEvent>
			<metric displayName="Task Name" id="Task_Name" type="xsd:string"
				isSortable="true" isMultiByte="true" valueRequired="true">
				<description>The name of the human task.</description>
				<map>
					<trigger ref="InlineTask_Schema_Creation_Trigger"></trigger>
					<outputValue>
						<singleValue
							expression="InlineTask_Schema_CREATED/BPELData/bpc:activityTemplateName"></singleValue>
					</outputValue>
				</map>
				<map>
					<trigger ref="HumanTask_Schema_Creation_Trigger"></trigger>
					<outputValue>
						<singleValue
							expression="HumanTask_Schema_CREATED/HumanTaskData/htm:taskTemplateName"></singleValue>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="'No Name'" />
				</defaultValue>
			</metric>
			<metric displayName="Owner" id="Task_Owner" type="xsd:string"
				isSortable="true" valueRequired="true">
				<description>The user (unique user id) who has claimed, or is expected to claim, the human task.</description>
				<map>
					<trigger ref="InlineTask_Schema_Assign_Trigger"></trigger>
					<outputValue>
						<singleValue expression="InlineTask_Schema_ASSIGNED/BPELData/bpc:username "></singleValue>
					</outputValue>
				</map>
				<map>
					<trigger ref="InlineTask_Schema_Transfer_Trigger"></trigger>
					<outputValue>
						<singleValue
							expression="InlineTask_Schema_WI_TRANSFERRED/BPELData/bpc:target"></singleValue>
					</outputValue>
				</map>
				<map>
					<trigger ref="InlineTask_Schema_Deassigned_Trigger"></trigger>
					<outputValue>
						<singleValue expression="'Unassigned'"></singleValue>
					</outputValue>
				</map>
				<map>
					<trigger ref="HumanTask_Schema_Assign_Trigger"></trigger>
					<outputValue>
						<singleValue
							expression="HumanTask_Schema_ASSIGNED/HumanTaskData/htm:username"></singleValue>
					</outputValue>
				</map>
				<map>
					<trigger ref="HumanTask_Schema_Transfer_Trigger"></trigger>
					<outputValue>
						<singleValue
							expression="HumanTask_Schema_WI_TRANSFERRED/HumanTaskData/htm:target"></singleValue>
					</outputValue>
				</map>
				<map>
					<trigger ref="HumanTask_Schema_Deassign_Trigger"></trigger>
					<outputValue>
						<singleValue expression="'Unassigned'"></singleValue>
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="HumanTask_Schema_Escalation_WI_TRANSFERRED/HumanTaskData/htm:target"></singleValue>
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if (HumanTask_Schema_CUSTOM_PROPERTY_SET/HumanTaskData/htm:propertyName = 'htm_assigned_to') then HumanTask_Schema_CUSTOM_PROPERTY_SET/HumanTaskData/htm:propertyValue else Task_Owner"></singleValue>
					</outputValue>
				</map>
				<map>
					<outputValue>
						<singleValue expression="if (HumanTask_Schema_Escalation_CUSTOM_PROPERTY_SET/HumanTaskData/htm:propertyName = 'htm_assigned_to') then HumanTask_Schema_Escalation_CUSTOM_PROPERTY_SET/HumanTaskData/htm:propertyValue else Task_Owner"></singleValue>
					</outputValue>
				</map>
				<defaultValue>
					<singleValue expression="'Unassigned'" />
				</defaultValue>
			</metric>
			<metric displayName="Status" id="Task_Status" type="xsd:string"
				valueRequired="true">
				<description>The current status of the human task. Note that the &quot;Running&quot; state of an Invocation Human Task will be mapped to &quot;Ready&quot; state.</description>
                <map>
                	<trigger ref="InlineTask_Schema_Creation_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="InlineTask_Schema_CREATED/BPELData/bpc:state"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="InlineTask_Schema_Assign_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="InlineTask_Schema_ASSIGNED/BPELData/bpc:state"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="InlineTask_Schema_Forced_Completion_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="InlineTask_Schema_FCOMPLETED/BPELData/bpc:state"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="InlineTask_Schema_Deassigned_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="InlineTask_Schema_DEASSIGNED/BPELData/bpc:state"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="InlineTask_Schema_Exit_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="InlineTask_Schema_EXIT/BPELData/bpc:state"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="InlineTask_Schema_Failed_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="InlineTask_Schema_FAILED/BPELData/bpc:state"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="InlineTask_Schema_Expired_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="InlineTask_Schema_EXPIRED/BPELData/bpc:state"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="InlineTask_Schema_Stopped_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="InlineTask_Schema_STOPPED/BPELData/bpc:state"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="InlineTask_Schema_Terminated_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="InlineTask_Schema_TERMINATED/BPELData/bpc:state"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Creation_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="'1 - STATE_INACTIVE'"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Assign_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="'8 - STATE_CLAIMED'"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Exit_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="'5 - STATE_FINISHED'"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Deassign_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="'2 - STATE_READY'"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Entry_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="'2 - STATE_READY'"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Expired_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="'12 - STATE_EXPIRED'"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Failed_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="'6 - STATE_FAILED'"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Terminated_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="'7 - STATE_TERMINATED'"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Forwarded_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="'101 - STATE_FORWARDED'"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Restarted_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="'2 - STATE_READY'"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="InlineTask_Schema_Forced_Retried_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression=" InlineTask_Schema_FRETRIED/BPELData/bpc:state "></singleValue>
                	</outputValue>
                </map>
                <defaultValue>
                    <singleValue expression="'Unknown'" />
                </defaultValue>
            </metric>
            <metric displayName="Task Type" id="Task_Type" type="xsd:string" valueRequired="true">
                <description>The type of the human task, either 43-KIND_STAFF (inline human task) or “Human Task” (standalone human task).</description>
                <map>
                	<trigger ref="InlineTask_Schema_Creation_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="InlineTask_Schema_CREATED/BPELData/bpc:activityKind"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Creation_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="'Human Task'"></singleValue>
                	</outputValue>
                </map>
                <defaultValue>
                    <singleValue expression="'Unknown'" />
                </defaultValue>
            </metric>
            <metric displayName="Creation Time" id="Task_Creation_Time" type="xsd:dateTime" isSortable="true">
                <description>The time that the human task created.  Every task has a creation time.  At creation time, the human task is in READY state (inline task) or INACTIVE state (standalone task).</description>
                <map>
                	<trigger ref="InlineTask_Schema_Creation_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="InlineTask_Schema_CREATED/predefinedData/creationTime"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Creation_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="HumanTask_Schema_CREATED/predefinedData/creationTime"></singleValue>
                	</outputValue>
                </map>
            </metric>
            <metric displayName="Completion Time" id="Task_Completion_Time" type="xsd:dateTime" isSortable="true">
                <description>The time that the human task finished, including force completion, normal exit and task forwarded.</description>
                <map>
                	<trigger ref="InlineTask_Schema_Forced_Completion_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="InlineTask_Schema_FCOMPLETED/predefinedData/creationTime"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="InlineTask_Schema_Exit_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="InlineTask_Schema_EXIT/predefinedData/creationTime"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Exit_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="HumanTask_Schema_EXIT/predefinedData/creationTime"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Forwarded_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="HumanTask_Schema_COMPLETEDFOLLOW/predefinedData/creationTime"></singleValue>
                	</outputValue>
                </map>
            </metric>
            <metric displayName="Description" id="Task_Description" type="xsd:string" isSortable="true" isMultiByte="true">
                <description>The description of the human task.</description>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_Escalation_ENTRY/HumanTaskData/htm:escalationInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_Escalation_ENTRY/HumanTaskData/htm:escalationInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_Escalation_ENTRY/HumanTaskData/htm:escalationInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_Escalation_WI_CREATED/HumanTaskData/htm:escalationInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_Escalation_WI_CREATED/HumanTaskData/htm:escalationInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_Escalation_WI_CREATED/HumanTaskData/htm:escalationInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_Escalation_WI_DELETED/HumanTaskData/htm:escalationInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_Escalation_WI_DELETED/HumanTaskData/htm:escalationInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_Escalation_WI_DELETED/HumanTaskData/htm:escalationInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_Escalation_WI_REFRESHED/HumanTaskData/htm:escalationInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_Escalation_WI_REFRESHED/HumanTaskData/htm:escalationInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_Escalation_WI_REFRESHED/HumanTaskData/htm:escalationInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_Escalation_WI_TRANSFERRED/HumanTaskData/htm:escalationInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_Escalation_WI_TRANSFERRED/HumanTaskData/htm:escalationInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_Escalation_WI_TRANSFERRED/HumanTaskData/htm:escalationInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_ASSIGNED/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_ASSIGNED/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_ASSIGNED/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_CREATED/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_CREATED/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_CREATED/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_DEASSIGNED/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_DEASSIGNED/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_DEASSIGNED/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_DELETED/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_DELETED/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_DELETED/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_ENTRY/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_ENTRY/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_ENTRY/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_EXIT/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_EXIT/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_EXIT/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_EXPIRED/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_EXPIRED/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_EXPIRED/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_FAILED/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_FAILED/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_FAILED/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_FAULTSET/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_FAULTSET/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_FAULTSET/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_OUTPUTSET/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_OUTPUTSET/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_OUTPUTSET/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_RESTARTED/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_RESTARTED/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_RESTARTED/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_RESUMED/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_RESUMED/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_RESUMED/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_SUBTASKSCOMPLETED/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_SUBTASKSCOMPLETED/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_SUBTASKSCOMPLETED/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_SUSPENDED/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_SUSPENDED/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_SUSPENDED/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_TERMINATED/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_TERMINATED/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_TERMINATED/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_UPDATED/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_UPDATED/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_UPDATED/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_WAITFORSUBTASK/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_WAITFORSUBTASK/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_WAITFORSUBTASK/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_WI_CREATED/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_WI_CREATED/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_WI_CREATED/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_WI_DELETED/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_WI_DELETED/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_WI_DELETED/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_WI_REFRESHED/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_WI_REFRESHED/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_WI_REFRESHED/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( HumanTask_Schema_WI_TRANSFERRED/HumanTaskData/htm:taskInstanceDescription, '%htm:' ) or fn:contains( HumanTask_Schema_WI_TRANSFERRED/HumanTaskData/htm:taskInstanceDescription, '%wf:' ) ) then Task_Description else HumanTask_Schema_WI_TRANSFERRED/HumanTaskData/htm:taskInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( InlineTask_Schema_ASSIGNED/BPELData/bpc:activityInstanceDescription, '%htm:' ) or fn:contains( InlineTask_Schema_ASSIGNED/BPELData/bpc:activityInstanceDescription, '%wf:' ) ) then Task_Description else InlineTask_Schema_ASSIGNED/BPELData/bpc:activityInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( InlineTask_Schema_CREATED/BPELData/bpc:activityInstanceDescription, '%htm:' ) or fn:contains( InlineTask_Schema_CREATED/BPELData/bpc:activityInstanceDescription, '%wf:' ) ) then Task_Description else InlineTask_Schema_CREATED/BPELData/bpc:activityInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( InlineTask_Schema_DEASSIGNED/BPELData/bpc:activityInstanceDescription, '%htm:' ) or fn:contains( InlineTask_Schema_DEASSIGNED/BPELData/bpc:activityInstanceDescription, '%wf:' ) ) then Task_Description else InlineTask_Schema_DEASSIGNED/BPELData/bpc:activityInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( InlineTask_Schema_ESCALATED/BPELData/bpc:activityInstanceDescription, '%htm:' ) or fn:contains( InlineTask_Schema_ESCALATED/BPELData/bpc:activityInstanceDescription, '%wf:' ) ) then Task_Description else InlineTask_Schema_ESCALATED/BPELData/bpc:activityInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( InlineTask_Schema_EXIT/BPELData/bpc:activityInstanceDescription, '%htm:' ) or fn:contains( InlineTask_Schema_EXIT/BPELData/bpc:activityInstanceDescription, '%wf:' ) ) then Task_Description else InlineTask_Schema_EXIT/BPELData/bpc:activityInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( InlineTask_Schema_EXPIRED/BPELData/bpc:activityInstanceDescription, '%htm:' ) or fn:contains( InlineTask_Schema_EXPIRED/BPELData/bpc:activityInstanceDescription, '%wf:' ) ) then Task_Description else InlineTask_Schema_EXPIRED/BPELData/bpc:activityInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( InlineTask_Schema_FAILED/BPELData/bpc:activityInstanceDescription, '%htm:' ) or fn:contains( InlineTask_Schema_FAILED/BPELData/bpc:activityInstanceDescription, '%wf:' ) ) then Task_Description else InlineTask_Schema_FAILED/BPELData/bpc:activityInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( InlineTask_Schema_FAULTSET/BPELData/bpc:activityInstanceDescription, '%htm:' ) or fn:contains( InlineTask_Schema_FAULTSET/BPELData/bpc:activityInstanceDescription, '%wf:' ) ) then Task_Description else InlineTask_Schema_FAULTSET/BPELData/bpc:activityInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( InlineTask_Schema_FCOMPLETED/BPELData/bpc:activityInstanceDescription, '%htm:' ) or fn:contains( InlineTask_Schema_FCOMPLETED/BPELData/bpc:activityInstanceDescription, '%wf:' ) ) then Task_Description else InlineTask_Schema_FCOMPLETED/BPELData/bpc:activityInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( InlineTask_Schema_FRETRIED/BPELData/bpc:activityInstanceDescription, '%htm:' ) or fn:contains( InlineTask_Schema_FRETRIED/BPELData/bpc:activityInstanceDescription, '%wf:' ) ) then Task_Description else InlineTask_Schema_FRETRIED/BPELData/bpc:activityInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( InlineTask_Schema_OUTPUTSET/BPELData/bpc:activityInstanceDescription, '%htm:' ) or fn:contains( InlineTask_Schema_OUTPUTSET/BPELData/bpc:activityInstanceDescription, '%wf:' ) ) then Task_Description else InlineTask_Schema_OUTPUTSET/BPELData/bpc:activityInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( InlineTask_Schema_SKIPPED/BPELData/bpc:activityInstanceDescription, '%htm:' ) or fn:contains( InlineTask_Schema_SKIPPED/BPELData/bpc:activityInstanceDescription, '%wf:' ) ) then Task_Description else InlineTask_Schema_SKIPPED/BPELData/bpc:activityInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( InlineTask_Schema_STOPPED/BPELData/bpc:activityInstanceDescription, '%htm:' ) or fn:contains( InlineTask_Schema_STOPPED/BPELData/bpc:activityInstanceDescription, '%wf:' ) ) then Task_Description else InlineTask_Schema_STOPPED/BPELData/bpc:activityInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( InlineTask_Schema_TERMINATED/BPELData/bpc:activityInstanceDescription, '%htm:' ) or fn:contains( InlineTask_Schema_TERMINATED/BPELData/bpc:activityInstanceDescription, '%wf:' ) ) then Task_Description else InlineTask_Schema_TERMINATED/BPELData/bpc:activityInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( InlineTask_Schema_WI_CREATED/BPELData/bpc:activityInstanceDescription, '%htm:' ) or fn:contains( InlineTask_Schema_WI_CREATED/BPELData/bpc:activityInstanceDescription, '%wf:' ) ) then Task_Description else InlineTask_Schema_WI_CREATED/BPELData/bpc:activityInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( InlineTask_Schema_WI_DELETED/BPELData/bpc:activityInstanceDescription, '%htm:' ) or fn:contains( InlineTask_Schema_WI_DELETED/BPELData/bpc:activityInstanceDescription, '%wf:' ) ) then Task_Description else InlineTask_Schema_WI_DELETED/BPELData/bpc:activityInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( InlineTask_Schema_WI_REFRESHED/BPELData/bpc:activityInstanceDescription, '%htm:' ) or fn:contains( InlineTask_Schema_WI_REFRESHED/BPELData/bpc:activityInstanceDescription, '%wf:' ) ) then Task_Description else InlineTask_Schema_WI_REFRESHED/BPELData/bpc:activityInstanceDescription"></singleValue></outputValue></map>
<map><outputValue><singleValue expression="if ( fn:contains( InlineTask_Schema_WI_TRANSFERRED/BPELData/bpc:activityInstanceDescription, '%htm:' ) or fn:contains( InlineTask_Schema_WI_TRANSFERRED/BPELData/bpc:activityInstanceDescription, '%wf:' ) ) then Task_Description else InlineTask_Schema_WI_TRANSFERRED/BPELData/bpc:activityInstanceDescription"></singleValue></outputValue></map>
            </metric>
            <metric displayName="Expired" id="is_Task_Expired" type="xsd:boolean" valueRequired="true">
                <description>This indicates whether or not the human task has been expired.  True if human task expired, false otherwise.</description>
                <map>
                	<trigger ref="InlineTask_Schema_Expired_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="fn:true()"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Expired_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="fn:true()"></singleValue>
                	</outputValue>
                </map>
                <defaultValue>
                    <singleValue expression="fn:false()" />
                </defaultValue>
            </metric>
            <metric displayName="Start Time" id="Task_Claim_Time" type="xsd:dateTime" isSortable="true">
                <description>This is the time when the human task is last claimed or last transferred to an new owner.  If there is no value, the human task has not been claimed/assigned yet.</description>
                <map>
                	<trigger ref="InlineTask_Schema_Assign_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="InlineTask_Schema_ASSIGNED/predefinedData/creationTime"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Assign_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="HumanTask_Schema_ASSIGNED/predefinedData/creationTime"></singleValue>
                	</outputValue>
                </map>
            </metric>
            <metric displayName="Human Task Instance ID" id="HumanTaskInstanceID" isPartOfKey="true" type="xsd:string" isSortable="true">
                <description>The unique key assigned to the human task.</description>
                <map>
                	<outputValue>
                		<singleValue expression="InlineTask_Schema_CREATED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<outputValue>
                		<singleValue expression="HumanTask_Schema_CREATED/BaseData/wbi:eventHeaderData/wbi:ECSCurrentID"></singleValue>
                	</outputValue>
                </map>
            </metric>
            <metric displayName="Parent ID" id="Parent_ID" type="xsd:string" isSortable="true" valueRequired="true">
                <description>The ID of the parent of the human task. The parent could be, but not limited to, activity or human task.</description>
                <map>
                	<trigger ref="InlineTask_Schema_Creation_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="InlineTask_Schema_CREATED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Creation_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="HumanTask_Schema_CREATED/BaseData/wbi:eventHeaderData/wbi:ECSParentID"></singleValue>
                	</outputValue>
                </map>
                <defaultValue>
                	<singleValue expression="''"></singleValue>
                </defaultValue>
            </metric>
            <metric displayName="Suspended" id="Suspended" type="xsd:boolean" valueRequired="true">
                <description>This is true if the human task is currently being suspended.</description>
                <map>
                	<trigger ref="HumanTask_Schema_Suspended_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="fn:true()"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Resume_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="fn:false()"></singleValue>
                	</outputValue>
                </map>
                <defaultValue>
                    <singleValue expression="fn:false()" />
                </defaultValue>
            </metric>
            <metric displayName="Escalated" id="Escalated" type="xsd:boolean" valueRequired="true">
                <description>This is true if the human task is currently being escalated, otherwise the value is false.</description>
                <map>
                	<trigger ref="InlineTask_Schema_Escalated_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="fn:true()"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Escalation_Fire_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="fn:true()"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="Status_Change_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="fn:false()"></singleValue>
                	</outputValue>
                </map>
                <defaultValue>
                    <singleValue expression="fn:false()" />
                </defaultValue>
            </metric>
            <metric displayName="Valid From" id="Valid_From" type="xsd:string" isSortable="true">
                <description>The datetime the human task template valid from. This is usualy used for versioning purpose.</description>
                <map>
                	<trigger ref="InlineTask_Schema_Creation_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="InlineTask_Schema_CREATED/BPELData/bpc:processTemplateValidFrom"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Creation_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="HumanTask_Schema_CREATED/HumanTaskData/htm:taskTemplateValidFrom"></singleValue>
                	</outputValue>
                </map>
            </metric>
            <metric displayName="Follow-on Task Instance ID" id="Follow-on_Task_Instance_ID" type="xsd:string" isSortable="true">
                <description>The unique key assigned to the follow-on task created by the current task.</description>
                <map>
                	<trigger ref="HumanTask_Schema_Forwarded_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="HumanTask_Schema_COMPLETEDFOLLOW/HumanTaskData/htm:followTaskId"></singleValue>
                	</outputValue>
                </map>
            </metric>
            <metric displayName="Waiting For Subtask" id="Waiting_For_Subtask" type="xsd:boolean" valueRequired="true">
                <description>This is true if the human task is waiting for subtask to finish.</description>
                <map>
                	<trigger ref="HumanTask_Schema_Waiting_For_Subtask_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="fn:true()"></singleValue>
                	</outputValue>
                </map>
                <map>
                	<trigger ref="HumanTask_Schema_Subtask_Completed_Trigger"></trigger>
                	<outputValue>
                		<singleValue expression="fn:false()"></singleValue>
                	</outputValue>
                </map>
                <defaultValue>
                    <singleValue expression="fn:false()" />
                </defaultValue>
            </metric>
            <metric displayName="Parent Task Instance ID" id="Parent_Task_Instance_ID" type="xsd:string" isSortable="true">
                <description>The task ID of the parent of the human task. This metric is set only if the parent is a human task.</description>
                <map>
                    <trigger ref="Parent_Task_Instance_ID_Trigger" />
                    <outputValue>
                        <singleValue expression="Parent_ID" />
                    </outputValue>
                </map>
            </metric>
            <metric displayName="Template Name" id="Template_Name" type="xsd:string" isMultiByte="true" isSortable="true">
            	<description>The Human Task template name.</description>
            	<map>
            		<trigger ref="InlineTask_Schema_Creation_Trigger"></trigger>
            		<outputValue>
            			<singleValue expression="InlineTask_Schema_CREATED/BPELData/bpc:processTemplateName"></singleValue>
            		</outputValue>
            	</map>
            	<map>
            		<trigger ref="HumanTask_Schema_Creation_Trigger"></trigger>
            		<outputValue>
            			<singleValue expression="HumanTask_Schema_CREATED/HumanTaskData/htm:taskTemplateName"></singleValue>
            		</outputValue>
            	</map>
            </metric>
            <counter displayName="Transfer Counter" id="Transfer_Counter" type="xsd:integer" isSortable="true">
                <description>The number of times the human task has been transferred.</description>
                <incrementedWhen ref="InlineTask_Schema_WI_TRANSFERRED"></incrementedWhen>
                <incrementedWhen ref="HumanTask_Schema_WI_TRANSFERRED"></incrementedWhen>
            </counter>
            <counter displayName="Escalation Counter" id="Escalation_Counter" type="xsd:integer" isSortable="true">
                <description>The number of times the human task has been escalated.</description>
                <incrementedWhen ref="InlineTask_Schema_ESCALATED"></incrementedWhen>
                <incrementedWhen ref="HumanTask_Schema_Escalation_ENTRY"></incrementedWhen>
            </counter>
            <stopwatch displayName="Elapsed Time" id="Task_Lifetime" type="xsd:duration" isAccumulated="false" isSortable="true">
                <description>The total duration from task creation to task completion.</description>
                <startedWhen ref="InlineTask_Schema_Creation_Trigger"></startedWhen>
                <startedWhen ref="HumanTask_Schema_Creation_Trigger"></startedWhen>
                <stoppedWhen ref="InlineTask_Schema_Completion_Trigger"></stoppedWhen>
                <stoppedWhen ref="HumanTask_Schema_Completion_Trigger"></stoppedWhen>
            </stopwatch>
            <stopwatch displayName="Work Duration" id="Work_Duration" type="xsd:duration" isAccumulated="true" isSortable="true">
                <description>The total duration from task assigned to task completion</description>
                <startedWhen ref="InlineTask_Schema_Assign_Trigger"></startedWhen>
                <startedWhen ref="HumanTask_Schema_Assign_Trigger"></startedWhen>
                <startedWhen ref="HumanTask_Schema_Resume_Trigger"></startedWhen>
                <stoppedWhen ref="InlineTask_Schema_Deassigned_Trigger"></stoppedWhen>
                <stoppedWhen ref="InlineTask_Schema_Completion_Trigger"></stoppedWhen>
                <stoppedWhen ref="HumanTask_Schema_Deassign_Trigger"></stoppedWhen>
                <stoppedWhen ref="HumanTask_Schema_Completion_Trigger"></stoppedWhen>
                <stoppedWhen ref="HumanTask_Schema_Suspended_Trigger"></stoppedWhen>
            </stopwatch>
            <stopwatch displayName="Queue Time" id="Queue_Time" type="xsd:duration" isAccumulated="true" isSortable="true">
            	<description>The time the human task wait in queue (waiting to be claimed).</description>
            	<startedWhen ref="InlineTask_Schema_Creation_Trigger"></startedWhen>
            	<startedWhen ref="InlineTask_Schema_Deassigned_Trigger"></startedWhen>
            	<startedWhen ref="HumanTask_Schema_Creation_Trigger"></startedWhen>
            	<startedWhen ref="HumanTask_Schema_Deassign_Trigger"></startedWhen>
            	<stoppedWhen ref="InlineTask_Schema_Assign_Trigger"></stoppedWhen>
            	<stoppedWhen ref="InlineTask_Schema_Completion_Trigger"></stoppedWhen>
            	<stoppedWhen ref="HumanTask_Schema_Assign_Trigger"></stoppedWhen>
            	<stoppedWhen ref="HumanTask_Schema_Completion_Trigger"></stoppedWhen>
            </stopwatch>
        </monitoringContext>
    </monitorDetailsModel>
	<kpiModel displayName="Global HT MM" id="KM">
	</kpiModel>
	<dimensionalModel id="DMM">
        <cube displayName="HumanTask Cube" id="HumanTask_Cube" monitoringContext="GlobalHumanTask">
            <measure displayName="Average Task Lifetime" id="Average_Task_Lifetime" aggregationType="avg" source="Task_Lifetime" trackingKey="">
            	<description>The average lifetime (elapsed time) of the human task.</description>
            </measure>
            <measure displayName="Longest Task Lifetime" id="Longest_Task_Lifetime" aggregationType="max" source="Task_Lifetime" trackingKey="">
            	<description>The longest lifetime (elapsed time) of the human task.</description>
            </measure>
            <measure displayName="Shortest Task Lifetime" id="Shortest_Task_Lifetime" aggregationType="min" source="Task_Lifetime" trackingKey="">
            	<description>The shortest lifetime (elapsed time) of the human task.</description>
            </measure>
            <measure displayName="Average Work Time" id="Average_Work_Time" aggregationType="avg" source="Work_Duration" trackingKey="">
            	<description>The average work time (work duration) of the human task</description>
            </measure>
            <measure displayName="Longest Work Time" id="Longest_Work_Time" source="Work_Duration" aggregationType="max" trackingKey="">
            	<description>The longest work time (work duration) of the human task</description>
            </measure>
            <measure displayName="Shortest Work Time" id="Shortest_Work_Time" aggregationType="min" source="Work_Duration" trackingKey="">
            	<description>The shortest work time (work duration) of the human task</description>
            </measure>
            <dimension displayName="Task Name Dimension" id="Task_Name_Dimension">
                <description>Dimension based on the the name of the human task.</description>
                <attribute displayName="Task Name Attr" id="Task_Name_Attr" level="1" attributeSource="Task_Name"/>
            </dimension>
            <dimension displayName="Task Owner Dimension" id="Task_Owner_Dimension">
                <description>Dimension based on the the owner of the human task</description>
                <attribute displayName="Task Owner Attr" id="Task_Owner_Attr" level="1" attributeSource="Task_Owner"/>
            </dimension>
            <dimension displayName="Task Status Dimension" id="Task_Status_Dimension">
                <description>Dimension based on the the status of the human task</description>
                <attribute displayName="Task Status Attr" id="Task_Status_Attr" level="1" attributeSource="Task_Status"/>
            </dimension>
            <dimension displayName="Task Kind Dimension" id="Task_Kind_Dimension">
                <description>Dimension based on the the kind of the human task</description>
                <attribute displayName="Task Kind Attr" id="Task_Kind_Attr" level="1" attributeSource="Task_Type"/>
            </dimension>
            <dimension displayName="Task Expiry Dimension" id="Task_Expiry_Dimension">
                <description>Dimension based on whether the task has been expired.</description>
                <attribute displayName="Task Expiry Attr" id="Task_Expiry_Attr" level="1" attributeSource="is_Task_Expired" />
            </dimension>
            <dimension displayName="Task Suspended Dimension" id="Task_Suspended_Dimension">
                <description>Dimension based on whether the task has been suspended.</description>
                <attribute displayName="Task Suspended Attr" id="Task_Suspended_Attr" level="1" attributeSource="Suspended" />
            </dimension>
            <dimension displayName="Task Escalated Dimension" id="Task_Escalated_Dimension">
                <description>Dimension based on whether the task has been escalated.</description>
                <attribute displayName="Task Escalated Attr" id="Task_Escalated_Attr" level="1" attributeSource="Escalated" />
            </dimension>
            <dimension displayName="Task Parent ID Dimension" id="Task_Parent_ID_Dimension">
                <description>Dimension based on the parent ID of the task.</description>
                <attribute displayName="Task Parent ID Attr" id="Task_Parent_ID_Attr" level="1" attributeSource="Parent_ID" />
            </dimension>
            <dimension displayName="Task Waiting For Subtask Dimension" id="Task_Waiting_For_Subtask_Dimension">
                <description>Dimension based on whether the task has been waiting for subtask to finish.</description>
                <attribute displayName="Task Waiting For Subtask Attr" id="Task_Waiting_For_Subtask_Attr" level="1" attributeSource="Waiting_For_Subtask" />
            </dimension>
        </cube>
    </dimensionalModel>
    <eventModel id="EM">
	    <import namespace="http://www.w3.org/2001/XMLSchema"/>
		<import namespace="http://www.ibm.com/AC/commonbaseevent1_0_1"/>
		<import location="BFMEvents.xsd"/>    
   		<import location="HTMEvents.xsd"/> 
    </eventModel>
</mm:monitor>
